%define shortname clock
%define name gdesklets-%{shortname}
%define version 0.2
%define release 1mdk
%define archivename %{shortname}-desklet-%{version}

Name:           %{name}
Summary:        Clock sensor and displays for gDesklets
Version:        %{version}
Release:        %{release}
Url:		http://www.pycage.de/software_gdesklets.html
Source0:	%{archivename}.tar.bz2
Source1:	Makefile_install_scripts.tar.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Provides:       gdesklets-display
Requires:	gdesklets

%description
This package contains the clock sensor and some clock displays
(by Martin Grimme and tigert and GrandMasta)

To add the display, use one of:
  gdesklets-add-gnomeclock-display
  gdesklets-add-plainclock-display
  gdesklets-add-pocket-watch-display
  gdesklets-add-rafclock-display

%prep
%setup -q -n %{archivename} -a 1

%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README
%{_datadir}/gdesklets/Displays
%{_datadir}/gdesklets/Sensors
%lang(de) %{_datadir}/gdesklets/Sensors/Clock/locale/de/LC_MESSAGES/%{shortname}-sensor.mo
%{_bindir}/gdesklets-add-*-display

%changelog
* Fri Aug 22 2003 Olivier Blin <oliv.blin@laposte.net> 0.2-1mdk 
- Initial release for Mandrake
  thanks to Jason Tacakberry <tack@auc.ca> (RH packager) for his help
- Creation of Makefile and install scripts
- Creation of gdesklets-add-*-display scripts to add new displays
